Index: trunk/src/extract_amsu.pro
===================================================================
--- trunk/src/extract_amsu.pro	(revision 582)
+++ trunk/src/extract_amsu.pro	(revision 583)
@@ -305,4 +305,6 @@
 ; appel au ssprgm qui interpole les fonctions de correction (inutile
 ; de l'appeler a chaque fichier....)
+; ou appeler pixelsize et reduire interpolcorrec a la partie
+; correction nadir
 interpol_correc,numch,nbpixel,cor_l,cor_s,swath,track
 ; ouverture des fichiers liste (annee, mois, jour, tous satellites) pour
@@ -314,13 +316,13 @@
 ;PRINT,'demarrage boucle sur lichiers', SYSTIME()
 FOR ifile = 0, nb_file - 1 do begin
-   filea = files_list[ifile]
    if nomcanal eq 'a' then begin
+      filea = files_list[ifile]
       COMMON amsua_header,ama_head
       COMMON amsua_data  ,ama_scan
       print, 'ouverture et lecture du fichier ', filea, SYSTIME()
-      openr,lu1,filea,Error=erra,/get_lun
+      ;openr,lu1,filea,Error=erra,/get_lun
       read_amsua1c,filea, flag1
-      close,lu1
-      free_lun,lu1
+     ;close,lu1
+     ;free_lun,lu1
       if (flag1 eq 0) then goto, labfile
       na=SIZE(reform(ama_scan.btemps[0,*,*]))
@@ -337,5 +339,5 @@
       amalong=REFORM(ama_scan.latlon[1,*,*]/1.E4)
       amalati=REFORM(ama_scan.latlon[0,*,*]/1.E4)
-      amcha=REFORM(ama_scan.btemps[nocanal,*,*]/100.)
+      amcha=REFORM(ama_scan.btemps[nocanal-1,*,*]/100.)
       amzeni=REFORM(ama_scan.angles[0,*,*]/100.)
       ttt=REFORM(ama_scan.scnlintime/3600000.)
@@ -345,9 +347,10 @@
       COMMON amsub_header,amb_head
       COMMON amsub_data  ,amb_scan
+      fileb = files_list[ifile]
       print, 'ouverture et lecture du fichier ', fileb, SYSTIME()
-      openr,lu1,fileb,Error=errb,/get_lun
+     ;openr,lu1,fileb,Error=errb,/get_lun
       read_amsub1c,fileb, flag2
-      close,lu1
-      free_lun,lu1
+      ;close,lu1
+     ;free_lun,lu1
       if (flag2 eq 0) then goto, labfile
       nb=SIZE(reform(amb_scan.btemps[0,*,*]))
@@ -359,5 +362,5 @@
       amalong=REFORM(amb_scan.latlon[1,*,*]/1.E4)
       amalati=REFORM(amb_scan.latlon[0,*,*]/1.E4)
-      amcha=REFORM(amb_scan.btemps[nocanal,*,*]/100.)
+      amcha=REFORM(amb_scan.btemps[nocanal-1,*,*]/100.)
       amzeni=REFORM(amb_scan.angles[0,*,*]/100.)
       ttt=REFORM(amb_scan.scnlintime/3600000.)
@@ -365,5 +368,5 @@
    endif
 
-   fov=indgen(nbpix)            ; nb pixels dans la fauchee AMSU
+   fov=indgen(nbpix)            ; nb pixels dans la fauchee AMSU ne sert a rien???
    ntime_1=fltarr(nbpix,n_scan)
    fovy_1=fltarr(nbpix,n_scan)
Index: trunk/src/interpol_correc.pro
===================================================================
--- trunk/src/interpol_correc.pro	(revision 582)
+++ trunk/src/interpol_correc.pro	(revision 583)
@@ -194,14 +194,14 @@
 cor_l=fltarr(nfov,5)
 cor_s=fltarr(nfov,5)
-cor_sea15=path+'AMSU/CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA15.DAT'
-cor_land15=path+'AMSU/CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA15.DAT'
-cor_sea16=path+'AMSU/CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA16.DAT'
-cor_land16=path+'AMSU/CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA16.DAT'
-cor_sea18=path+'AMSU/CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA18.DAT'
-cor_land18=path+'AMSU/CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA18.DAT'
-cor_sea19=path+'AMSU/CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA19.DAT'
-cor_land19=path+'AMSU/CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA19.DAT'
-cor_seaM2=path+'AMSU/CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_METOP.DAT'
-cor_landM2=path+'AMSU/CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_METOP.DAT'
+cor_sea15=path+'CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA15.DAT'
+cor_land15=path+'CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA15.DAT'
+cor_sea16=path+'CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA16.DAT'
+cor_land16=path+'CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA16.DAT'
+cor_sea18=path+'CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA18.DAT'
+cor_land18=path+'CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA18.DAT'
+cor_sea19=path+'CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA19.DAT'
+cor_land19=path+'CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_NOAA19.DAT'
+cor_seaM2=path+'CORR_SEA_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_METOP.DAT'
+cor_landM2=path+'CORR_LAND_AMSU'+instr+strmid(numch,1,1)+'_DataFromJune2010_Afrique_METOP.DAT'
 listcorr_l=[cor_land15,cor_land16,cor_land18,cor_land19,cor_landM2]
 for nosat=0,4 do begin
Index: trunk/src/interpolswath.pro
===================================================================
--- trunk/src/interpolswath.pro	(revision 582)
+++ trunk/src/interpolswath.pro	(revision 583)
@@ -30,4 +30,7 @@
 ; TODO
 ; =====
+;
+; lelod 20120530
+; faire evoluer le prgm pour l'inetrpolation des donnees AMSUB
 ;
 ; regler le pb des longitudes autour de 180 degres
